curl --request GET \
--url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/qualityAssurances/settings \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/qualityAssurances/settings"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/qualityAssurances/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"forbiddenStrings": [
"string"
],
"enabledChecks": [
{
"checkerType": "EmptyTranslation",
"ignorable": false,
"instant": false
},
{
"checkerType": "TrailingPunctuation",
"ignorable": false,
"instant": false
},
{
"checkerType": "Formatting",
"ignorable": false,
"instant": false
},
{
"checkerType": "JoinTags",
"ignorable": false,
"instant": false
},
{
"checkerType": "MissingNumbers",
"ignorable": false,
"instant": false
},
{
"checkerType": "MultipleSpaces",
"ignorable": false,
"instant": false
},
{
"checkerType": "NonConformingTerm",
"ignorable": false,
"instant": false
},
{
"checkerType": "NotConfirmed",
"ignorable": false,
"instant": false
},
{
"checkerType": "TranslationLength",
"ignorable": false
},
{
"checkerType": "AbsoluteLength",
"ignorable": false,
"instant": false
},
{
"checkerType": "RelativeLength",
"ignorable": false,
"instant": false
},
{
"checkerType": "EmptyPairTags",
"ignorable": false,
"instant": false
},
{
"checkerType": "InconsistentTranslationTargetSource",
"ignorable": true,
"instant": false
},
{
"checkerType": "InconsistentTranslationSourceTarget",
"ignorable": true,
"instant": false
},
{
"checkerType": "ForbiddenString",
"ignorable": false,
"instant": false
},
{
"checkerType": "SpellCheck",
"ignorable": false,
"instant": false
},
{
"checkerType": "RepeatedWords",
"ignorable": false,
"instant": false
},
{
"checkerType": "InconsistentTagContent",
"ignorable": false,
"instant": false
},
{
"checkerType": "EmptyTagContent",
"ignorable": false,
"instant": false
},
{
"checkerType": "Malformed",
"ignorable": false,
"instant": false
},
{
"checkerType": "ForbiddenTerm",
"ignorable": false,
"instant": false
},
{
"checkerType": "NewerAtLowerLevel",
"ignorable": false,
"instant": false
},
{
"checkerType": "LeadingAndTrailingSpaces",
"ignorable": false,
"instant": false
},
{
"checkerType": "TargetSourceIdentical",
"ignorable": false,
"instant": false
},
{
"checkerType": "SourceOrTargetRegexp"
},
{
"checkerType": "UnmodifiedFuzzyTranslationTM",
"ignorable": true,
"instant": false
},
{
"checkerType": "UnmodifiedFuzzyTranslationMTNT",
"ignorable": true,
"instant": false
},
{
"checkerType": "Moravia",
"ignorable": false,
"instant": false,
"context": {
"moraviaProfileId": "MoraviaProfileIdValue"
}
},
{
"checkerType": "ExtraNumbers",
"ignorable": true,
"instant": false
},
{
"checkerType": "UnresolvedConversation",
"ignorable": false
},
{
"checkerType": "NestedTags",
"ignorable": false,
"instant": false
}
],
"excludeLockedSegments": true,
"userCanSetInstantQA": true,
"strictJobStatus": true,
"regexpRules": [
{
"description": "string",
"sourceRegexp": "string",
"targetRegexp": "string",
"id": "string",
"ignorable": true,
"instant": true
}
]
}Get QA settings
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Response
successful operation
enabledChecks
Show child attributes
Show child attributes
"\n [\n {\n \"checkerType\":\"EmptyTranslation\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"TrailingPunctuation\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"Formatting\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"JoinTags\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"MissingNumbers\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"MultipleSpaces\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"NonConformingTerm\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"NotConfirmed\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"TranslationLength\",\n \"ignorable\":false\n },\n {\n \"checkerType\": \"AbsoluteLength\",\n \"ignorable\": false\n },\n {\n \"checkerType\": \"RelativeLength\",\n \"ignorable\": false\n },\n {\n \"checkerType\":\"EmptyPairTags\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"InconsistentTranslationTargetSource\",\n \"ignorable\":true\n },\n {\n \"checkerType\":\"InconsistentTranslationSourceTarget\",\n \"ignorable\":true\n },\n {\n \"checkerType\":\"ForbiddenString\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"SpellCheck\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"RepeatedWords\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"InconsistentTagContent\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"EmptyTagContent\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"Malformed\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"ForbiddenTerm\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"NewerAtLowerLevel\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"LeadingAndTrailingSpaces\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"TargetSourceIdentical\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"SourceOrTargetRegexp\"\n },\n {\n \"checkerType\":\"UnmodifiedFuzzyTranslationTM\",\n \"ignorable\":true\n },\n {\n \"checkerType\":\"UnmodifiedFuzzyTranslationMTNT\",\n \"ignorable\":true\n },\n {\n \"checkerType\":\"Moravia\",\n \"ignorable\":false,\n \"context\": {\"moraviaProfileId\": \"MoraviaProfileIdValue\"}\n },\n {\n \"checkerType\":\"ExtraNumbers\",\n \"ignorable\":true\n },\n {\n \"checkerType\":\"UnresolvedConversation\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"NestedTags\",\n \"ignorable\":false\n },\n {\n \"checkerType\":\"FuzzyInconsistency\",\n \"ignorable\":true\n }\n ]\n"
Show child attributes
Show child attributes
Was this page helpful?